Search Unity

  1. Unity 2020.1 has been released.
    Dismiss Notice
  2. Good news ✨ We have more Unite Now videos available for you to watch on-demand! Come check them out and ask our experts any questions!
    Dismiss Notice

Cinemachine with LWRP and HDRP installed

Discussion in 'Cinemachine' started by Litovets, Sep 23, 2019.

  1. Litovets

    Litovets

    Joined:
    Sep 3, 2012
    Posts:
    20
    Hi there. I wanted to ask about Cinemachine package. When I have HDRP and URP packages installed in Unity 2019.3.0b4 and I'm trying to install Cinemachine then I see compile error in the cosole:
    Library\PackageCache\com.unity.cinemachine@2.3.4\Runtime\PostProcessing\CinemachineVolumeSettings.cs(5,42): error CS0234: The type or namespace name 'HDPipeline' does not exist in the namespace 'UnityEngine.Experimental.Rendering' (are you missing an assembly reference?)


    Is it expected behavior or it's planned to be fixed in 2019.3 release?
     
  2. Gregoryl

    Gregoryl

    Unity Technologies

    Joined:
    Dec 22, 2016
    Posts:
    3,926
    You need to upgrade to CM 2.4.0
     
  3. Litovets

    Litovets

    Joined:
    Sep 3, 2012
    Posts:
    20
    Than you!

    Update: CM 2.4.0 is still not available. Will wait for release.
     
    Last edited: Sep 23, 2019
  4. Decimate-JP

    Decimate-JP

    Joined:
    Sep 24, 2011
    Posts:
    11
    Good to know.
     
  5. Gregoryl

    Gregoryl

    Unity Technologies

    Joined:
    Dec 22, 2016
    Posts:
    3,926
    Available now in preview
     
  6. xCyborg

    xCyborg

    Joined:
    Oct 4, 2010
    Posts:
    573
    Still showing only v2.3.4 in PM.
     
  7. bobthenob

    bobthenob

    Joined:
    Sep 2, 2013
    Posts:
    22
    ok ive found that if you use unity 2019.2.9f it will work with hdrp and cinemache
     
  8. Gregoryl

    Gregoryl

    Unity Technologies

    Joined:
    Dec 22, 2016
    Posts:
    3,926
unityunity